%define upstream_name    Test-Without-Module
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:	Test::Without::Module - Test fallback behaviour in absence of modules
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::Inline)
BuildArch:	noarch


%{?perl_default_filter}

%description
This module allows you to deliberately hide modules from a program
even though they are installed. This is mostly useful for testing modules
that have a fallback when a certain dependency module is not installed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# pod2test is gone from perl-Test-Inline
perl -pi -e "s|pod2test|/bin/true|g" Makefile.PL

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes README
%dir %{perl_vendorlib}/Test/Without
%{perl_vendorlib}/Test/Without/*
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.200.0-4.mga8
+ Revision: 1506616
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.200.0-3.mga7
+ Revision: 1286841
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.200.0-2.mga7
+ Revision: 1166939
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 0.200.0-1.mga7
+ Revision: 1155493
- update to 0.20

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-6.mga6
+ Revision: 1034765
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.180.0-5.mga6
+ Revision: 933600
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-4.mga5
+ Revision: 739756
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.180.0-3.mga5
+ Revision: 736030
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-2.mga5
+ Revision: 686579
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 0.180.0-1.mga5
+ Revision: 669948
- update to 0.18

* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-3.mga4
+ Revision: 515486
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 373913
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 40051
- mageia rebuild
- imported package perl-Test-Without-Module


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.170.0-1mdv2010.0
+ Revision: 405602
- rebuild using %%perl_convert_version

* Mon Jan 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdv2009.1
+ Revision: 331151
- update to new version 0.17

* Tue Oct 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2009.1
+ Revision: 295935
- update to new version 0.16

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.15-5mdv2009.0
+ Revision: 258598
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.15-4mdv2009.0
+ Revision: 246583
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 0.15-2mdv2008.1
+ Revision: 109362
- rebuild

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2008.1
+ Revision: 104603
- update to new version 0.15

* Wed Aug 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2008.0
+ Revision: 69250
- update to new version 0.11

* Thu May 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.09-1mdv2008.0
+ Revision: 22118
- 0.09


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.06-3mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.06-2mdk
- fix build

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.06-1mdk
- initial Mandriva package

